org.cpsolver.exam.reports

## Class ExamPeriodUsage

- java.lang.Object
- - org.cpsolver.exam.reports.ExamPeriodUsage

-     public class ExamPeriodUsage
      extends Object

  Export period usage into CSV file.
  Usage:

           new ExamPeriodUsage(model).report().save(file);

  Version:
    ExamTT 1.3 (Examination Timetabling)
    Copyright (C) 2008 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[]` | `sLimits` Exam enrollment limits

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExamPeriodUsage(ExamModel model)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CSVFile` | `report(Assignment<Exam,ExamPlacement> assignment)` generate report

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sLimits

          public static int[] sLimits

      Exam enrollment limits

  - ### Constructor Detail

    - #### ExamPeriodUsage

          public ExamPeriodUsage(ExamModel model)

      Constructor
      Parameters:
        `model` - examination timetabling model

  - ### Method Detail

    - #### report

          public CSVFile report(Assignment<Exam,ExamPlacement> assignment)

      generate report
      Parameters:
        `assignment` - current assignment
      Returns:
        resultant report